/* Sidebar.css */
.sidebar-parent {
  background: #000;
  display: flex;
  flex-direction: column;
  height: 100vh;
  animation: slideInLeft 0.5s ease-in-out;
  opacity: 1; /* Hide the sidebar when collapsed */

}

.sidebar-parent.collapsed {
  animation: slideInLeft2 .4s ease-in-out;
  opacity: 1; /* Hide the sidebar when collapsed */
}

  .sidebar-parent, .sidebar-parent > div {
    animation: slideInLeft 0.5s ease-in-out;
    opacity: 1; /* Hide the sidebar when collapsed */
    box-sizing: border-box;
  }
  
  .sidebar-parent a {
    text-decoration: none;
  }
  .sidebar-parent > div {
    width: 250px;
    flex: 1;
    transition: all 0.3s ease;
  }
  
  .behind-the-scenes {
    width: 250px;
  }
  
  .sidebar-item {
    padding: 16px 24px;
    transition: all 0.25s ease-in-out;
    margin: 4px 12px;
    border-radius: 4px;
  }
  
  .sidebar-item:hover {
    cursor: pointer;
  }
  
  .sidebar-item:hover:not(:first-child) {
    background: #c34a36;
  }
  
  .sidebar-item.active {
    background: #0abab5;
  }
  
  .sidebar-item p {
    color: white;
    font-weight: bold;
    text-decoration: none;
  }
  /* ... (your existing styles) */

.toggle-button {
  display: none; /* Initially hide the button for larger screens */
  animation: slideInLeft 1s ease-in-out;
  opacity: 1; /* Hide the sidebar when collapsed */
}


.myLogo {
  max-width: 100%;
  height: auto;
  transition: opacity 0.3s ease; 
}

.sidebar-toggle-btn {
  cursor: pointer;
  animation: slideInLeft 1s ease-in-out;
  opacity: 1; /* Hide the sidebar when collapsed */
}

@keyframes slideInLeft {
  from {
    transform: translateX(-10%);
    opacity: 0;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}
@keyframes slideInLeft2 {
  from {
    transform: translateX(-100%);

  }
  to {
    transform: translateX(0);

  }
}
@keyframes slideInLeftAnimation {
  from {
    transform: translateX(-100%);
  }
  to {
    transform: translateX(0);
  }
}

.slideInLeftAnimation {
  animation: slideInLeftAnimation 0.5s ease-in-out;
}
/* Responsive Styles */
@media only screen and (max-width: 768px) {
  .sidebar-parent {
    flex-direction: row;
    animation: slideInLeft 0.5s ease-in-out;
    opacity: 1; /* Hide the sidebar when collapsed */
  }


  .sidebar-parent > div {
    width: auto;
  }

  .behind-the-scenes {
    display: none;
  }
}